#include "robustlib.h"

point :: point(vec coordinates)
{
	this->coordinates = coordinates;
	this->twinpoint   = NULL;
}

point :: point(vec coordinates, point *twinpoint)
{
	this->coordinates = coordinates;
	this->twinpoint   = twinpoint;
}

segment :: segment(point *end1, point *end2)
{
	this->end1 = end1;
	this->end2 = end2;
}

leaf :: leaf(vec condition, leaf *parent)
{
	this->condition  = condition;				
	this->parent     = parent;
}

leaf :: evolvechildren(vec condition)
{
	this->condition = condition;


}

emlig :: emlig(leaf *tree) : eEF()
{
	this->tree = tree;
}

emlig :: emlig(vec [] conditions) : eEF()
{
	emlig::buildtree(conditions);
}

emlig :: buildtree()
{}